"""
Location model
"""

from django.db import models

from core.http.models import base


class Location(base.AbstractBaseModel):
    long = models.FloatField(null=True, blank=True)
    lat = models.FloatField(null=True, blank=True)
    label = models.TextField()

    def __str__(self) -> str:
        return f"{self.long}, {self.lat}"

    class Meta:
        verbose_name = "Location"
        verbose_name_plural = "Locations"
        db_table = "location"
